Page MenuHomePhabricator

move phabricator/extensions/Sprint repository to phabricator/extensions/sprint
Closed, DeclinedPublic

Description

The uppercase naming of the Sprint repository is inconsistent with phabricator application naming conventions.

In the phabricator puppet module (https://git.wikimedia.org/blob/operations%2Fpuppet/a5f87d125818c272f3045153bedb4be2bc7ff449/modules%2Fphabricator%2Fmanifests%2Finit.pp line 196) this has been flagged as a "complication".

The renamed repository would have to be changed in several places in puppet. I have already tested this change on phab08. I had to first manually delete the load-libraries key and then reset it with ./config set load-libraries '{"sprint":"/srv/phab/libext/sprint/src"}' ... because config breaks when a library path is overwritten or changed.

Event Timeline

Christopher raised the priority of this task from to Low.
Christopher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 2:08 PM

Thanks @Christopher. This would indeed be nice.

symlink solution proposed by @mmodell in T89830 created on phab08 and it seems to work.

urzds added a subscriber: urzds.Feb 9 2016, 3:19 PM

Since this task is now almost 1 year old and not fixed, I am guessing that it should be closed as either "Declined" or "Irrelevant".

Christopher closed this task as Declined.Mar 7 2016, 5:56 AM